import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The AWS::MediaLive::Channel resource is a MediaLive resource type that creates a channel.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-medialive-channel.html">the AWS Docs</a>
*/
export function channel(channelProps = {}) {
    return new AwsResource('AWS::MediaLive::Channel', channelProps, { Arn: 'Arn', Inputs: 'Inputs' });
}
